Php5-tidy install on VPS

software development

#1

I’m having problems installing php5-tidy on my VPS. I’m running php 5.2, and when I do

I’m given the message that I need to run it with --fix-missing. Running it this way, it says it wants to install:

apache2-mpm-prefork
apache2.2-bin
apache2.2-common
libapache2-mod-php5
libaprutil1-dbd-sqlite3
libaprutil1-ldap
libqdbm14
php5-common
php5-suhosin
php5-tidy

If I install these, it seems to overwrite Dreamhost’s Apache configuration, and all the sites on my server go blank.

Is there a better way to to install php5-tidy?

B


#2

Yeah, Debian’s PHP packages are not compatible with our PHP (or Apache) installation.

The easiest fix will be to switch your site to use PHP 5.3 (in the panel, under Manage Domains > Edit). Our PHP 5.3 build has the “tidy” extension built and installed, just not activated, so you can follow the instructions at http://wiki.dreamhost.com/PHP.ini#PHP_5.3 to create a “phprc” file with the line:

to enable Tidy.